# QTabletEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QInputEvent.

### Constructor

- void QTabletEvent(Type t, QPoint pos, QPoint globalPos, QPointF hiResGlobalPos, int device, int pointerType, qreal pressure, int xTilt, int yTilt, qreal tangentialPressure, qreal rotation, int z, KeyboardModifiers keyState, qint64 uniqueID)

### Constructor Properties

- prototype: The QTabletEvent prototype object
- NoDevice
- Puck
- Stylus
- Airbrush
- FourDMouse
- XFreeEraser
- RotationStylus
- TabletDevice( value )
- UnknownPointer
- Pen
- Cursor
- Eraser
- PointerType( value )

### Prototype Object Properties

The QTabletEvent prototype object inherits properties from the QInputEvent prototype object and also has the following properties.

- TabletDevice device()
- QPoint globalPos()
- int globalX()
- int globalY()
- QPointF hiResGlobalPos()
- qreal hiResGlobalX()
- qreal hiResGlobalY()
- PointerType pointerType()
- QPoint pos()
- qreal pressure()
- qreal rotation()
- qreal tangentialPressure()
- qint64 uniqueId()
- int x()
- int xTilt()
- int y()
- int yTilt()
- int z()

### Instance Properties

QTabletEvent objects have no special properties beyond those inherited from the QTabletEvent prototype object.